TransferRequestChecker (The Data Transfer Agent Service 2.0.0-SNAPSHOT API)
Date: 2013-08-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.event
Class TransferRequestChecker

    java.lang.Object
      org.gcube.datatransfer.common.messaging.MessageChecker<org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage>
          org.gcube.datatransfer.agent.impl.event.TransferRequestChecker

    public class TransferRequestChecker

extends org.gcube.datatransfer.common.messaging.MessageChecker<org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage>

Author:
  Nikolaos Drakopoulos(CERN)

Field Summary
`org.gcube.common.core.utils.logging.GCUBELog` | `logger`

Fields inherited from class org.gcube.datatransfer.common.messaging.MessageChecker
`scope, subscriberEndpoint`

Constructor Summary
`TransferRequestChecker(org.gcube.common.core.scope.GCUBEScope scope, String subscriberEndpoint)`

Method Summary
`void` | `check(org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage message)`
`void` | `handleMessage(org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public org.gcube.common.core.utils.logging.GCUBELog logger

Constructor Detail

### TransferRequestChecker

    public TransferRequestChecker(org.gcube.common.core.scope.GCUBEScope scope,
                                  String subscriberEndpoint)

Method Detail

### check

    public void check(org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage message)

  Specified by:
    `check` in class `org.gcube.datatransfer.common.messaging.MessageChecker<org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage>`

### handleMessage

    public void handleMessage(org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.